> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Verified Smart Contracts

` GET /blockscout/smart-contracts `

Get Verified Smart Contracts

## Servers

- ` https://data-api.b3.fun/ ` — B3 Data API - Multi-Chain Proxy

## Parameters

### ` q ` (query, optional)

- ` value `: type ` string `

  - example: ` "proxy" `

Example:

```json
"proxy"
```

### ` filter ` (query, optional)

- ` value `: type ` string `

  - example: ` "vyper | solidity | yul" `

Example:

```json
"vyper | solidity | yul"
```

## Responses

### ` 200 ` — Smart Contract

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` items `, ` next_page_params `

  - ` items `: type ` array `

    - ` array item `: type ` object `

      - Required fields: ` address `, ` coin_balance `, ` compiler_version `, ` has_constructor_args `, ` language `, ` optimization_enabled `, ` verified_at `

      - ` address `: type ` object `

        - Required fields: ` hash `, ` implementation_name `, ` is_contract `, ` is_verified `, ` name `, ` private_tags `, ` public_tags `, ` watchlist_names `

        - ` hash `: type ` string `

          - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

        - ` implementation_name `: type ` string `

          - example: ` "implementationName" `

        - ` name `: type ` string `

          - example: ` "contractName" `

        - ` ens_domain_name `: type ` string `

          - example: ` "domain.eth" `

        - ` metadata `: type ` object `

          - example: ` {"slug":"tag_slug","name":"Tag name","tagType":"name","ordinal":0,"meta":{}} `

        - ` is_contract `: type ` boolean `

        - ` private_tags `: type ` array `

          - ` array item `: type ` object `

            - Required fields: ` address_hash `, ` display_name `, ` label `

            - ` address_hash `: type ` string `

              - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

            - ` display_name `: type ` string `

              - example: ` "name to show" `

            - ` label `: type ` string `

              - example: ` "label" `

        - ` watchlist_names `: type ` array `

          - ` array item `: type ` object `

            - Required fields: ` display_name `, ` label `

            - ` display_name `: type ` string `

              - example: ` "name to show" `

            - ` label `: type ` string `

              - example: ` "label" `

        - ` public_tags `: type ` array `

          - ` array item `: type ` object `

            - Required fields: ` address_hash `, ` display_name `, ` label `

            - ` address_hash `: type ` string `

              - example: ` "0xEb533ee5687044E622C69c58B1B12329F56eD9ad" `

            - ` display_name `: type ` string `

              - example: ` "name to show" `

            - ` label `: type ` string `

              - example: ` "label" `

        - ` is_verified `: type ` boolean `

      - ` coin_balance `: type ` string `

        - example: ` "10000" `

      - ` compiler_version `: type ` string `

        - example: ` "v0.5.10+commit.5a6ea5b1" `

      - ` language `: type ` string `

        - example: ` "vyper | yul | solidity" `

      - ` has_constructor_args `: type ` boolean `

      - ` optimization_enabled `: type ` boolean `

      - ` transaction_count `: type ` integer `

      - ` verified_at `: type ` string `

        - example: ` "2022-03-05T11:40:29.087000Z" `

      - ` market_cap `: type ` number `

        - example: ` 1000000000.0001 `

  - ` next_page_params `: type ` object `

    - example: ` {"items_count":50,"smart_contract_id":46} `

### ` 400 ` — Bad Input Parameter

## Request examples

### cURL

```curl
curl -X GET 'https://data-api.b3.fun//blockscout/smart-contracts'
```

### JavaScript

```javascript
const response = await fetch('https://data-api.b3.fun//blockscout/smart-contracts', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

response = requests.get('https://data-api.b3.fun//blockscout/smart-contracts')
print(response.json())
```